program Test_L2B_Parameters
  !  #[ Documentation
  !
  ! a little test program for L2B_Parameters
  !
  ! Written by J. de Kloe (KNMI)
  ! Created:     07-11-2005
  !
  ! Modifications:
  !      12-May-2006  D. Tan       Null use of ParKind1 module
  !
  !  #] 
  !  #[ Modules used
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L2B_Parameters
  !  #]

  implicit none

  print *,"possible results of the classification algoritm:"
  print *,"not_yet_classified         = ",not_yet_classified
  print *,"classified_as_cloud        = ",classified_as_cloud
  print *,"classified_as_no_cloud     = ",classified_as_no_cloud
  print *,"no_classification_possible = ",no_classification_possible
  print *,""
  print *,"possible observation types:"
  print *,"undefined_obs_type         = ",Obs_Type_undefined
  print *,"Obs_Type_cloudy_returns    = ",Obs_Type_cloudy_returns
  print *,"Obs_Type_clear_returns     = ",Obs_Type_clear_returns
  print *,""

end program Test_L2B_Parameters
