function CreateJobOrder2(JobOrderName,scenarioName)

DefinePaths;

% % Determination des Dates startSensingTime and stopSensingTime

scenarioPath = fullfile(SimPathE2S,'scenarios',scenarioName);
xml=xmlread(fullfile(scenarioPath,[scenarioName,'.xml']));
SegFilesNode = xml.getChildNodes.item(0).getChildNodes.item(49).getChildNodes;
nbItem = SegFilesNode.getLength;
nbSegment = (SegFilesNode.getLength-1)/2;
FirstSegFileName = char(SegFilesNode.item(1).getChildNodes.item(0).getData);
LastSegFileName = char(SegFilesNode.item(nbItem-2).getChildNodes.item(0).getData);

xmlstart = xmlread(fullfile(SimPathE2S,'scenarios',scenarioName,FirstSegFileName));
Time1 = char(xmlstart.getChildNodes.item(0).getChildNodes.item(3).getChildNodes.item(0).getData);
startSensingTime = [Time1(1:4) Time1(6:7) Time1(9:10) '_' Time1(12:13) Time1(15:16) Time1(18:19)];
xmlstop = xmlread(fullfile(SimPathE2S,'scenarios',scenarioName,LastSegFileName));
Time2 = char(xmlstop.getChildNodes.item(0).getChildNodes.item(3).getChildNodes.item(0).getData);
stopSensingTime = [Time2(1:4) Time2(6:7) Time2(9:10) '_' Time2(12:13) Time2(15:16) Time2(18:19)];

% Recherche des AISP du scenario
aispPath = fullfile(SimPathE2S,'scenarios',scenarioName,'aispProduct');
aispList=dir(fullfile(aispPath,'*.DBL'));
aispFileName = fullfile(aispPath,aispList(1).name);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

xml=xmlread(fullfile(jobOrderRefPath,'JobOrderRef.xml'));
children=xml.getChildNodes;

% Ipf_Conf

node0 = children.item(1).getChildNodes.item(1).getChildNodes.item(23)...
    .getChildNodes;
StartSensingTimeNode = node0.item(1).getChildNodes.item(0);
StartSensingTimeNode.setData(startSensingTime);
StopSensingTimeNode = node0.item(3).getChildNodes.item(0);
StopSensingTimeNode.setData(stopSensingTime);


% List_of_Ipf_Conf
node = children.item(1).getChildNodes.item(3);
nNode = str2num(node.getAttributes.item(0).getValue);
for kNode=1:nNode,
	%Inputs
	childIn = node.getChildNodes.item(2*kNode-1).getChildNodes.item(9);
	nbInput = str2num(childIn.getAttributes.item(0).getValue)
	for kIn = 1:nbInput,
		inFile1 = childIn.getChildNodes.item(2*kIn-1).getChildNodes.item(7).getChildNodes.item(1).getChildNodes.item(0);
		inFile2 = childIn.getChildNodes.item(2*kIn-1).getChildNodes.item(9).getChildNodes.item(1).getChildNodes.item(5).getChildNodes.item(0);
		nameInFile1 = char(inFile1.getData);
		newnameInFile1 = strrep(strrep(nameInFile1,'test','working'),'12345',JobOrderName);
		newnameInFile1 = strrep(newnameInFile1,'aispPath',aispPath);
		nameInFile2 = char(inFile2.getData);
		newnameInFile2 = strrep(strrep(nameInFile2,'test','working'),'12345',JobOrderName);
		newnameInFile2 = strrep(newnameInFile2,'aispPath',aispPath);
		inFile1.setData(newnameInFile1);
		inFile2.setData(newnameInFile2);
	end
	
	% Outputs
	childOut = node.getChildNodes.item(2*kNode-1).getChildNodes.item(11);
	nbOutput = str2num(childOut.getAttributes.item(0).getValue)
	for kOut= 1:nbOutput,
		outFile = childOut.getChildNodes.item(2*kOut-1).getChildNodes.item(7).getChildNodes.item(0);
		nameOutFile = char(outFile.getData);
		newNameOutFile=strrep(strrep(nameOutFile,'test','working'),'12345',JobOrderName);
		outFile.setData(newNameOutFile);
	end
	
end
xmlwrite(fullfile(SimPathL1b,'jobOrder',['JobOrder.',JobOrderName,'.xml']),xml)


