clear all;
DefinePaths;
jobOrderName='testPatch';
%SimPathL1b = 'T:\SIMULATORS\testPatch\l1b';
l1afile = dir(fullfile(SimPathL1b,'working',jobOrderName,'*_1A_*.DBL'));
%l1afile=listfile;

%l1afile = strread(listfile,'%s','delimiter','\n');
%l1afile = l1afile{1};

l1aData = ReadL1Adata(jobOrderName);

[path,name,ext]=fileparts(fullfile(SimPathL1b,'working',jobOrderName,l1afile(1).name));
name=name(1:end-5)
l1asave = fullfile(path,[name,'_save','.DBL']);
l1afile
movefile(fullfile(SimPathL1b,'working',jobOrderName,l1afile(1).name),l1asave);

dataWithNoise = l1aData;
localdir = pwd;
ResetProductCounterFile;
tic
for i=1:100,
    nbDSR = length(l1aData.GeoDSR);
    
    for idsr=1:nbDSR,
        for imeas=1:67,
            for ibin = 1:25,
                tmpMie = [l1aData.MieMDDSR(idsr).mieMeasData(imeas).mieBinMeasData(ibin).col];
                tmpNoiseMie = poidev(tmpMie,1);
                dataWithNoise.MieMDDSR(idsr).mieMeasData(imeas).mieBinMeasData(ibin).col= tmpNoiseMie;
                tmpRay = l1aData.RayMDDSR(idsr).rayMeasData(imeas).rayBinMeasData(ibin).col;
                tmpNoiseRay = poidev(tmpRay,1);
                dataWithNoise.RayMDDSR(idsr).rayMeasData(imeas).rayBinMeasData(ibin).col= tmpNoiseRay;
            end
        end
    end
    
    l1afileNoise = fullfile(SimPathL1b,'working','testPatch',sprintf('%s%04d.DBL',name(1:end-4),i));
	
    WriteL1AData(dataWithNoise,l1afileNoise);
    
%     cd(SimPathL1b);
%     system(sprintf('./bin/LBC_LOBProcMain ./jobOrder/JobOrder.%s.xml',jobOrderName))
%     cd(localdir);
%     [pathN,nameN,ext]=fileparts(l1afileNoise);
%     movefile(l1afileNoise,fullfile(pathN,['Noise_',sprintf('%s%04d.DBL',name(1:end-4),i),ext]))
end
toc
movefile(l1asave,fullfile(SimPathL1b,'working',jobOrderName,l1afile(1).name));	

