#!/bin/csh

# these settings may be changed before starting the L2BP installation

# installation settings
set SOURCE_DIR  = ./
set INSTALL_DIR = ../install
set EECFI_DIR   = /nobackup/users/kloedej/versiebeheer/adm/L2B_processor/ee_cfi_software_3.7.1/
set EE_XML_DIR  = ${EECFI_DIR}aux_tools/libxml
set DATAPACK    = /nobackup/users/kloedej/temp_ectrans/L2BP_Release1.32_datapack_20080118.tar.gz


# compiler choice (use the g95 compiler)
source Scripts/use_g95

# make sure the install script is executable
chmod a+x Scripts/build_L2BP.sc

# launch the install script
./Scripts/build_L2BP.sc ${SOURCE_DIR} ${INSTALL_DIR} ${EECFI_DIR} ${EE_XML_DIR} ${DATAPACK}

# second possibility, for use with simple_xml
#./Scripts/build_L2BP.sc ${SOURCE_DIR} ${INSTALL_DIR} dontuse dontuse ${DATAPACK}
