#!/bin/csh

# test root
#make clean
#make -t

# make -t seems not to work properly for me.
# I get many segmentation faults because the make command
# seems to crash when it is touching phony targets that have not explicitly
# been made so ny the .PHONY command.

set SUBDIRS1 = `ls -F -1 | egrep "./" | grep -v CVS | grep -v lost+found | grep -v input_data | grep -v input_rpt | grep -v "Test/" | grep -v support | grep -v ee_cfi_software | grep -v main | grep -v TempObjectsDir | grep -v Scripts | grep -v Matlab_Tools | grep -v schemas | cut -d/ -f1`

set SUBDIRS2 = ("support" ${SUBDIRS1} "main")

#echo "dirs to be tested:" ${SUBDIRS2}
#exit 

foreach SUBDIR (${SUBDIRS2})
  make clean > /dev/zero
  cd ${SUBDIR}
  echo "testing makefile in dir: "`pwd`
  echo "===================================" >> ../testresult.txt
  echo "testing makefile in dir: "`pwd`      >> ../testresult.txt
  echo "===================================" >> ../testresult.txt
  make -f Makefile.aeolus >>& ../testresult.txt
  #make -t -f Makefile.aeolus >>& ../testresult.txt
  cd ..
end

# problems detected with this script 20070801:
#
# compilation crashes in:
#
# -KVT_module:
#         (kvt_module.F90: Can't open module file 'directbinaryio.mod')
# -L2B_AuxPar_file_handling: 
#         (read_l2b_auxpar_data.F90: Can't open module file 'parkind1.mod')
# -LiteTestData:
#         (litedatamodule.F90: Can't open module file 'parkind1.mod')
# -MolScat:
#         (molscat.F90: Can't open module file 'parkind1.mod')
#
