function out = ConvertTime(time)

% time='2007-10-02T00:00:00.000000';
% time=733317

dataType = length(time);
switch dataType
    
    case 26,
        Year = str2num(time(1:4));
        Month = str2num(time(6:7));
        Day = str2num(time(9:10));
        Hour = str2num(time(12:13));
        Min = str2num(time(15:16));
        Sec = str2num(time(18:19));
        mSec = str2num(time(21:26));
        out = datenum(Year,Month,Day,Hour,Min,Sec)+(mSec*1e-6)/24/60/60;
        
    case 1
        tmp=datevec(time);
        if tmp(6)==60,
            tmp(6)=0;
            tmp(5)= tmp(5)+1;
        end
        out = [num2str(tmp(1)) '-' num2str(tmp(2),'%02d'),...
            '-',num2str(tmp(3),'%02d'),'T',num2str(tmp(4),'%02d'),':',...
            num2str(tmp(5),'%02d'),':',num2str(floor(tmp(6)),'%02d'),'.',num2str(round((tmp(6)-floor(tmp(6)))*1e4)*1e2,'%06d')];
    
end
