% usage:
% -start matlab
% -run: convert_scenarios_to_xml [without the .m !]

DefinePaths
% which amongst others defines the path to the database:
% DataPath = /nobackup/users/matlab/KNMI_atm_database

mieflag = 'all';
%mieflag = 'cloud';
%mieflag = 'none';

removemissing='true';
%removemissing='false';

% take all defined scenes
scenes = dir(DataPath);
% werkt niet (ik weet niet welke syntax dit zou moeten zijn...)
%scenes = ['LiteScene_A_and_RMA_for_E2S'];
fprintf(1,'%s%i\n','nr of scenes = ',numel(scenes));
fprintf(1,'listing all scenes to be converted:\n');
for n=1:numel(scenes)
    fprintf(1,'%s[%s]\n','scene: ',scenes(n).name);
end;

fprintf(1,'starting conversion loop:\n');
for n=1:numel(scenes)
  scene=scenes(n);
  if strcmp(scene.name,'..')
    fprintf(1,'%s\n','double dot found');
    fprintf(1,'%s[%s]\n','scene: ',scene.name);
  elseif strcmp(scene.name,'.')
    fprintf(1,'%s\n','single dot found');
    fprintf(1,'%s[%s]\n','scene: ',scene.name);
  else
    fprintf(1,'%s[%s]\n','scene: ',scene.name);
    scenarioPath = fullfile(DataPath,scene.name);
    fprintf(1,'%s = %s\n'),'scenarioPath',scenarioPath;
    [startTimeKnmi,nbProfile] = ...
          ConvertTxtScenarioToXML(scene.name,scenarioPath,mieflag,...
                                  removemissing);
  end;
end;
