#!/bin/csh

# these settings may be changed before starting the L2BP installation

# installation settings
set SOURCE_DIR  = ./
set INSTALL_DIR = ../install
set EECFI_DIR   = ../ee_cfi_software_3.4/
set EE_XML_DIR  = ${EECFI_DIR}aux_tools/libxml
set DATAPACK    = ../L2BP_Release1.0_datapack_20060718.tar.gz

# compiler choice (use the g95 compiler)
source Scripts/use_g95

# make sure the install script is executable
chmod a+x Scripts/build_L2BP.sc

# launch the install script
./Scripts/build_L2BP.sc ${SOURCE_DIR} ${INSTALL_DIR} ${EECFI_DIR} ${EE_XML_DIR} ${DATAPACK}
