#!/bin/ksh
#PBS -l memsz_job=1024mb
#PBS -l elapstim_req=00:20:00
#PBS -q compile 
#PBS -j o
uname -a
BUILD=$WORKDIR/adm_work
cd $BUILD
# this directory must contain the source code, un-tarred, as well as the datapack (tar-gzipped)
export AEOLUS2B_RM=/bin/rm
export AEOLUS2B_F90=sxmpif90
export AEOLUS2B_LN=/bin/ln
export AEOLUS2B_SHLINK=sxmpif90
export AEOLUS2B_F77=sxmpif90
export AEOLUS2B_LINK=sxmpif90
export AEOLUS2B_CC=sxmpic++
export AEOLUS2B_CLINK=sxmpic++
export AEOLUS2B_AR=sxar
chmod u+x Scripts/Set_Permissions
./Scripts/Set_Permissions
./use_simple_xml
./Set_Makeoptions
make -f Makefile.aeolus cleansystemsettings
./use_simple_xml
./Scripts/Set_Systemsettings
export F_RECLUNIT="BYTE"
make -f Makefile.aeolus clean
make -f Makefile.aeolus
