program TestAeolusConstants

  ! Modifications:
  !   12-May-2006  D. Tan     Null use of ParKind1 module
  !   15-Jun-2007  J. de loe  Removed some unused items and added some
  !                           extra prints for string and integer items

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE AeolusConstants

  implicit none

  print *,"Defined real constants:"
  print *,"REALACC(12)"
  print *,"pi = ",pi
  print *,"lambda = ",lambda
  print *,"kwvn   = ",kwvn
  print *,"kb     = ",kb
  print *,"M      = ",M
!  print *,"FSR    = ",FSR
!  print *,"USR    = ",USR
  print *,"df     = ",df
!  print *,"dT     = ",dT
!  print *,"Tmin   = ",Tmin
!  print *,"Tmax   = ",Tmax
!  print *,"dP     = ",dP
!  print *,"Pmin   = ",Pmin
!  print *,"Pmax   = ",Pmax
!  print *,"dRR    = ",dRR
  print *,"c      = ",c
  print *,"ENDREALACC"
  print *,""
  print *,"Defined character string constants:"
  print *,"software_version  = ",software_version
  print *,"software_ProcName = ",software_ProcName
  print *,"software_TaskName = ",software_TaskName
  print *,""
  print *,"Defined integer constants:"
  print *,"N_range_gates      = ",N_range_gates
  print *,"N_Meas_Max         = ",N_Meas_Max
  print *,"N_Obs_Max_Mie      = ",N_Obs_Max_Mie
  print *,"N_Obs_Max_Rayleigh = ",N_Obs_Max_Rayleigh

end program TestAeolusConstants
