MODULE ParKind1
  !  #[ Documentation
  !---------------------------------------------------
  !    This module is an empty dummy module.
  !    It is introduced so that all .F90 files can include the line
  !         USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  !    Such a line is needed for compatability with ECMWF-IFS build.
  !
  !    As a consequence, the standalone builds need a parkind1 module
  !    which is provided through compilation of this file.
  !
  !    To avoid conflicts with the PARKIND1.F90 file maintained in
  !    other parts of the ECMWF-IFS source code, the filename for
  !    this module is parkind1_dummy.F90 and not parkind1.F90.
  !
  !    A symlink between parkind1_dummy.F90 and parkind1.F90 is
  !    defined in Makefile.aeolus, to accommodate both the
  !    standalone and ECMWF-IFS builds.
  !
  !    Recall that filenames are lowercase.F90 but the 
  !    contained Fortran code can mix upper and lower case, e.g. 
  !    "Module ParKind1" etc.
  !
  !    Written by: David Tan, ECMWF,  12 May 2006
  !    changes:
  !    12-May-2006, D. Tan,     ECMWF: Original version
  !    13-Feb-2007, J. de Kloe  added a dummy integer variable
  !---------------------------------------------------
  !  #]
  !  #[ a dummy piece of code
  ! this dummy integer is required because some platforms refuse
  ! to use empty modules (especially SUN solaris)
  integer :: dummy
  !  #]
END Module ParKind1
